## biomaj3 3.1.3

=== requirements.txt ===
biomaj_core
biomaj_user
biomaj_download>=3.0.10
biomaj_process
biomaj_cli
mock
nose
pymongo>=3.2
pycurl
tabulate
py-bcrypt
drmaa
future
elasticsearch
requests
redis
influxdb

=== debian/changelog ===
biomaj3 (3.1.3-1) unstable; urgency=low

  * First packaging of biomaj (Closes: #872451).

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Aug 2017 09:59:28 +0000

=== debian/control ===
Source: biomaj3
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-bcrypt,
               python3-influxdb,
               python3-mock,
               python3-nose,
               python3-pymongo,
               python3-redis,
               python3-setuptools,
               python3-biomaj3-core,
               python3-biomaj3-zipkin,
               python3-biomaj3-download,
               python3-biomaj3-user,
               python3-biomaj3-process
Standards-Version: 4.0.0
Homepage: https://github.com/genouest/biomaj
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3.git

Package: python3-biomaj3
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, unzip
Recommends: ${python3:Recommends}, python3-biomaj3-cli
Suggests: ${python3:Suggests}, python3-gunicorn, mongodb, redis-server
XB-Python-Egg-Name: biomaj
Description: BioMAJ workflow management library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library to manage the workflow update in BioMAJ3,
 it is managed via python3-biomaj3-daemon (for microservices remote operations)
 or biomaj3-cli (local or remote) packages

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=biomaj
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3/usr/bin/biomaj_migrate_database.py

override_dh_installexamples:
	dh_installexamples
	sed -i '1s;^;#!/usr/bin/bash\n;' debian/python3-biomaj3/usr/share/doc/python3-biomaj3/examples/tools/process/concat.sh
	chmod -x debian/python3-biomaj3/usr/share/doc/python3-biomaj3/examples/global.properties.example

## biomaj3 3.1.4

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 biomaj_core
 biomaj_user
-biomaj_download>=3.0.10
+biomaj_download>=3.0.17
 biomaj_process
 biomaj_cli
 mock

=== debian/changelog ===
biomaj3 (3.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Testsuite: autopkgtest-pkg-python
  * Fix bash path in example script

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jun 2018 12:48:14 +0200

## biomaj3 3.1.6

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 biomaj_core
 biomaj_user
-biomaj_download>=3.0.17
+biomaj_download>=3.0.18
 biomaj_process
 biomaj_cli
 mock

=== debian/changelog ===
biomaj3 (3.1.6-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Olivier Sallou ]
  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 25 Oct 2018 09:18:06 +0000

=== debian/control ===
Source: biomaj3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-bcrypt,
               python3-influxdb,
               python3-mock,
               python3-nose,
               python3-pymongo,
               python3-redis,
               python3-setuptools,
               python3-biomaj3-core,
               python3-biomaj3-zipkin,
               python3-biomaj3-download,
               python3-biomaj3-user,
               python3-biomaj3-process
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/biomaj3
Vcs-Git: https://salsa.debian.org/med-team/biomaj3.git
Homepage: https://github.com/genouest/biomaj

Package: python3-biomaj3
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         unzip
Recommends: ${python3:Recommends},
            python3-biomaj3-cli
Suggests: ${python3:Suggests},
          python3-gunicorn,
          mongodb,
          redis-server
Description: BioMAJ workflow management library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library to manage the workflow update in BioMAJ3,
 it is managed via python3-biomaj3-daemon (for microservices remote operations)
 or biomaj3-cli (local or remote) packages
XB-Python-Egg-Name: biomaj

=== debian/rules ===
#! /usr/bin/make -f

# The test should be really prevented
# export DH_BUILD_MAINT_OPTIONS=nocheck
export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=biomaj
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3/usr/bin/biomaj_migrate_database.py

override_dh_installexamples:
	dh_installexamples
	sed -i '1s;^;#!/bin/bash\n;' debian/python3-biomaj3/usr/share/doc/python3-biomaj3/examples/tools/process/concat.sh
	chmod -x debian/python3-biomaj3/usr/share/doc/python3-biomaj3/examples/global.properties.example

## biomaj3 3.1.8

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 biomaj_core
 biomaj_user
-biomaj_download>=3.0.18
-biomaj_process
+biomaj_download>=3.0.20
+biomaj_process>=3.0.12
 biomaj_cli
 mock
 nose

=== debian/changelog ===
biomaj3 (3.1.8-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Mar 2019 10:18:52 +0000

## biomaj3 3.1.14

=== requirements.txt ===
biomaj_core>=3.0.19
biomaj_user
biomaj_download>=3.1.0
biomaj_process>=3.0.12
biomaj_cli
mock
nose
pymongo>=3.2
pycurl
tabulate
py-bcrypt
drmaa
future
elasticsearch
requests
redis
influxdb
Yapsy==1.12.2

=== debian/changelog ===
biomaj3 (3.1.14-3) unstable; urgency=medium

  * Skip tests (need a database) 

 -- Olivier Sallou <osallou@debian.org>  Sat, 08 Feb 2020 16:27:13 +0000

biomaj3 (3.1.14-2) unstable; urgency=medium

  * Remove influxdb stat feature due to python-influxdb bug #950063.
    Create new bug #950914 to track this issue. Once fixed, can revert back
    related patch.
  * Enable unit tests, disabling network related tests

 -- Olivier Sallou <osallou@debian.org>  Sat, 08 Feb 2020 09:47:29 +0000

biomaj3 (3.1.14-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Tue, 12 Nov 2019 10:29:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
+# python3-influxdb removed as workaround for python-influxdb bug see changelog
 Build-Depends: debhelper (>= 11~),
                dh-python,
                python3-all,
                python3-bcrypt,
-               python3-influxdb,
                python3-mock,
                python3-nose,
                python3-pymongo,
                python3-redis,
                python3-setuptools,
+               python3-yapsy,
                python3-biomaj3-core,
                python3-biomaj3-zipkin,
                python3-biomaj3-download,
@@ -29,9 +30,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          unzip
-Recommends: ${python3:Recommends},
-            python3-biomaj3-cli
+Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests},
+          python3-biomaj3-cli,
           python3-gunicorn,
           mongodb,
           redis-server

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # The test should be really prevented
 # export DH_BUILD_MAINT_OPTIONS=nocheck
 export DEB_BUILD_OPTIONS=nocheck
+#export PYBUILD_TEST_ARGS=-a'!network'
+#export DEB_BUILD_MAINT_OPTIONS=nocheck
 
 export PYBUILD_NAME=biomaj
 %:

## biomaj3 3.1.18

=== requirements.txt ===
biomaj_core>=3.0.24
biomaj_user
biomaj_download>=3.2.1
biomaj_process>=3.0.12
biomaj_cli
mock
nose
pymongo>=3.2
pycurl
tabulate
py-bcrypt
drmaa
future
elasticsearch
requests
redis
influxdb
Yapsy==1.12.2
Jinja2

=== docs/requirements.txt ===
mock
nose
pymongo==3.2
tabulate
ldap3
py-bcrypt
drmaa
future
elasticsearch
biomaj_core
biomaj_user
biomaj_process
biomaj_cli

=== debian/changelog ===
biomaj3 (3.1.18-2) unstable; urgency=medium

  * Remove drmaa support (optional feature) due to drmaa package
    migration issue on 0.7.9-2 

 -- Olivier Sallou <osallou@debian.org>  Fri, 19 Feb 2021 10:25:44 +0000

biomaj3 (3.1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Lintian-override for debian-rules-sets-DEB_BUILD_OPTIONS since check
    should be really prevented
  * Lintian override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:48:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 # python3-influxdb removed as workaround for python-influxdb bug see changelog
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-bcrypt,
@@ -20,10 +20,11 @@
                python3-biomaj3-download,
                python3-biomaj3-user,
                python3-biomaj3-process
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3.git
 Homepage: https://github.com/genouest/biomaj
+Rules-Requires-Root: no
 
 Package: python3-biomaj3
 Architecture: all

## biomaj3 3.1.22

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biomaj_cli
 mock
 nose
-pymongo>=3.2
+pymongo==3.12.3
 pycurl
 tabulate
 py-bcrypt
@@ -17,3 +17,4 @@
 influxdb
 Yapsy==1.12.2
 Jinja2
+packaging

=== debian/changelog ===
biomaj3 (3.1.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Re-enable influxdb which was fixed
  * Enable at least superfluous autopkgtest
  * Fix lintian-overrides
  * DEP3

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jun 2022 16:48:27 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-biomaj3-download,
                python3-biomaj3-user,
                python3-biomaj3-process
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3.git
 Homepage: https://github.com/genouest/biomaj
@@ -35,7 +35,6 @@
 Suggests: ${python3:Suggests},
           python3-biomaj3-cli,
           python3-gunicorn,
-          mongodb,
           redis-server
 Description: BioMAJ workflow management library
  BioMAJ downloads remote data banks, checks their status and applies

## biomaj3 3.1.23

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 biomaj_process>=3.0.12
 biomaj_cli
 mock
-nose
+pytest
 pymongo==3.12.3
 pycurl
 tabulate

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BioMAJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BioMAJ.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BioMAJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BioMAJ"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
biomaj3 (3.1.23-2) unstable; urgency=medium

  * Team upload.
  * Remove need for future
    Closes: #1058565
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Dec 2023 09:36:54 +0100

biomaj3 (3.1.23-1) unstable; urgency=medium

  * New upstream release using pytest vs nose (Closes: #1018320).

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Aug 2022 13:44:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Priority: optional
 # python3-influxdb removed as workaround for python-influxdb bug see changelog
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-bcrypt,
                python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-pymongo,
                python3-redis,
                python3-setuptools,
@@ -20,7 +20,7 @@
                python3-biomaj3-download,
                python3-biomaj3-user,
                python3-biomaj3-process
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3.git
 Homepage: https://github.com/genouest/biomaj

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/biomaj3-$1\.tar\.gz/" \
  https://github.com/genouest/biomaj/tags .*/v?(\d\S+)\.tar\.gz

## biomaj3 3.1.24

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 tabulate
 py-bcrypt
 drmaa
-future
 elasticsearch
 requests
 redis

=== docs/requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 ldap3
 py-bcrypt
 drmaa
-future
 elasticsearch
 biomaj_core
 biomaj_user

=== debian/changelog ===
biomaj3 (3.1.24-3) unstable; urgency=medium

  * Team upload.
  * Skip tests by using an empty override_dh_auto_test target.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify salsa-ci.yml.
  * Drop Python-Egg-Name.
  * Tidy up patches.

 -- Santiago Vila <sanvila@debian.org>  Tue, 03 Feb 2026 14:10:00 +0100

biomaj3 (3.1.24-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 20:17:35 +0100

biomaj3 (3.1.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 19 Apr 2024 13:13:23 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,11 @@
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 # python3-influxdb removed as workaround for python-influxdb bug see changelog
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-bcrypt,
-               python3-mock,
                python3-pytest,
                python3-pymongo,
                python3-redis,
@@ -20,11 +18,10 @@
                python3-biomaj3-download,
                python3-biomaj3-user,
                python3-biomaj3-process
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3.git
 Homepage: https://github.com/genouest/biomaj
-Rules-Requires-Root: no
 
 Package: python3-biomaj3
 Architecture: all
@@ -48,4 +45,3 @@
  This package contains the library to manage the workflow update in BioMAJ3,
  it is managed via python3-biomaj3-daemon (for microservices remote operations)
  or biomaj3-cli (local or remote) packages
-XB-Python-Egg-Name: biomaj

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=biomaj

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3/usr/bin/biomaj_migrate_database.py

override_dh_installexamples:
	dh_installexamples
	sed -i '1s;^;#!/bin/bash\n;' debian/python3-biomaj3/usr/share/doc/python3-biomaj3/examples/tools/process/concat.sh
	chmod -x debian/python3-biomaj3/usr/share/doc/python3-biomaj3/examples/global.properties.example

override_dh_auto_test:
